hotplug
3
HAL Library

# hotplug

## Synopsis

    enum        HotplugActionType;
    enum        HotplugEventType;
    void        hotplug_event_enqueue           (HotplugEvent *event);
    void        hotplug_event_enqueue_at_front  (HotplugEvent *hotplug_event);
    void        hotplug_event_process_queue     (void);
    void        hotplug_event_end               (void *end_token);
    void        hotplug_event_reposted          (void *end_token);
    gboolean    hotplug_rescan_device           (HalDevice *d);
    gboolean    hotplug_reprobe_tree            (HalDevice *d);
    void        hotplug_queue_now_empty         (void);

## Description

## Details

### enum HotplugActionType

    typedef enum {
    	HOTPLUG_ACTION_ADD,
    	HOTPLUG_ACTION_REMOVE,
    	HOTPLUG_ACTION_ONLINE,
    	HOTPLUG_ACTION_OFFLINE,
    } HotplugActionType;

### enum HotplugEventType

    typedef enum {
    	HOTPLUG_EVENT_SYSFS       = 0,
    	HOTPLUG_EVENT_SYSFS_BUS   = 1,
    	HOTPLUG_EVENT_SYSFS_CLASS = 2,
    	HOTPLUG_EVENT_SYSFS_BLOCK = 3,
    	HOTPLUG_EVENT_ACPI        = 4,
    	HOTPLUG_EVENT_APM         = 5,
    	HOTPLUG_EVENT_PMU         = 6
    } HotplugEventType;

### hotplug_event_enqueue ()

    void        hotplug_event_enqueue           (HotplugEvent *event);

`event` :

### hotplug_event_enqueue_at_front ()

    void        hotplug_event_enqueue_at_front  (HotplugEvent *hotplug_event);

`hotplug_event` :

### hotplug_event_process_queue ()

    void        hotplug_event_process_queue     (void);

### hotplug_event_end ()

    void        hotplug_event_end               (void *end_token);

`end_token` :

### hotplug_event_reposted ()

    void        hotplug_event_reposted          (void *end_token);

`end_token` :

### hotplug_rescan_device ()

    gboolean    hotplug_rescan_device           (HalDevice *d);

`d` :

Returns :

### hotplug_reprobe_tree ()

    gboolean    hotplug_reprobe_tree            (HalDevice *d);

`d` :

Returns :

### hotplug_queue_now_empty ()

    void        hotplug_queue_now_empty         (void);